
#include <SimpleDHT.h>
#include <LiquidCrystal_I2C.h>

int pinDHT11 =13;
int LEDverde=8;// lumineaza cand totul e in regula
int IRSensor = 12; // connect ir sensor to arduino pin 12
int LEDir = 4; // conect Led to arduino pin 2se aprinde pentru sensor IR
int LEDMQ2=7;// lumineaza cand se detecteaza gaz
int smokeA0=A0;//senzor gaz
int buzzer=11;
float sensorValue;
int ok=0;

LiquidCrystal_I2C lcd(0x27,16,2);


SimpleDHT11 dht11(pinDHT11);

void setup() {
  Serial.begin(9600);
   pinMode (IRSensor, INPUT); // sensor pin INPUT
  pinMode (LEDir, OUTPUT);
  pinMode (LEDMQ2, OUTPUT);
  pinMode (LEDverde, OUTPUT);// Led pin OUTPUT
  lcd.init();
  lcd.backlight();

}

void loop() {
  ok=0;
  // start working...
  Serial.println("=================================");
  Serial.println("Sample DHT11...");
 
  
  // pentru senzor de temperatura.
  byte temperature = 0;
  byte humidity = 0;
  int err = SimpleDHTErrSuccess;
  if ((err = dht11.read(&temperature, &humidity, NULL)) != SimpleDHTErrSuccess) {
    Serial.print("Read DHT11 failed, err="); 
    Serial.print(SimpleDHTErrCode(err));
    Serial.print(","); 
    Serial.println(SimpleDHTErrDuration(err)); delay(1000);
    return;
  }
  if ( temperature > 30) {
    lcd.setCursor(0,0);
    lcd.print("WARNING");
    lcd.setCursor(0,1);
    lcd.print("HOT HOT HOT");
  }
  else {
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Temperatura:");
  lcd.print((int)temperature);
  lcd.setCursor(0,1);
  lcd.print("Umiditatea:");
  lcd.print((int)humidity);
  Serial.print("Sample OK: ");
  Serial.print((int)temperature); Serial.print(" *C, "); 
  Serial.print((int)humidity); Serial.println(" H");
  }

// pentru senzor IR
   int statusSensor = digitalRead (IRSensor);
  
  if (statusSensor == 1){
    digitalWrite(LEDir, LOW); // LED LOW  
    //digitalWrite(LEDverde,HIGH); // LEW GREEN HIGH
    Serial.println("Totul este in Regula");
  }
  
  else
  {
    digitalWrite(LEDir, HIGH); // LED High
    digitalWrite(LEDverde,LOW); // LEW GREEN LOW
    ok=1;
    Serial.println("Pericol Incediu ");
    
  }
   //Pentru Senzor De fum
   sensorValue=analogRead(smokeA0);
   Serial.print("Gas Value: ");
   Serial.println(sensorValue);
  if(sensorValue>500)
    { Serial.println("Detecteaza Fum");
    digitalWrite(LEDMQ2,HIGH);//Se aprinde LED-ul rosu la detectare de fum,gaz
    digitalWrite(LEDverde,LOW);
    lcd.clear();
     lcd.setCursor(0,0);
     lcd.print("Incendiu: ");
     lcd.setCursor(0,1);
     lcd.print("Foc Foc Foc");
    ok=1;
     tone(buzzer,1000,200);
    
    }
    else
    {Serial.println("Nu detecteza Fum");
      noTone(buzzer);
    //  digitalWrite(LEDverde,HIGH);
      digitalWrite(LEDMQ2,LOW);//e inchis in status normal
    }

    if(ok==0){
      digitalWrite(LEDverde,HIGH);
      }
   

  delay(1000);
}
